#ifndef _IEC_INCLUDE_H
#define _IEC_INCLUDE_H

#include <stdbool.h>
#include <stdint.h>
#include <stdio.h>
#include <string.h>

#include "usart.h"
#include "timer.h"
#include "platform_mutex.h"
#include "platform_thread.h"

#include "buffer_frame.h"
#include "cs101_asdu.h"
#include "cs101_information_objects.h"
#include "cs101_master.h"
#include "cs101_queue.h"
#include "frame.h"
#include "hal_base.h"
#include "hal_serial.h"
#include "iec_time.h"
#include "iec60870_common.h"
#include "iec60870_master.h"
#include "information_objects_internal.h"
#include "lib_memory.h"
#include "lib60870_config.h"
#include "lib60870_internal.h"
#include "link_layer.h"
#include "link_layer_paramete.h"
#include "link_layer_private.h"
#include "linked_list.h"
#include "master_example.h"
#include "serial_port_linux.h"
#include "serial_transceiver_ft_1_2.h"
#include "thread_linux.h"

#include "iec60870_slave.h"
#include "cs101_slave.h"
#include "apl_types_internal.h"


#include "lwip/sockets.h"
#include "cs104_slave.h"
#include "hal_socket.h"

#include "tls_config.h"


typedef uint32_t msSinceEpoch;
msSinceEpoch Hal_getTimeInMs(void);

//#define	DEBUF_PRINT  printf

#endif

